
package walpo.modelo;

import java.util.ArrayList;

/**
 *
 * @author Antonio López
 */
public class CabeceraFinal {

    public static final String DIRECCION_IP = "IP";

    /**
     * Definir la cabecera con el formato y separador indicados.
     * @param separador
     * @param listaRecursosSolicitados
     * @return
     */
    public static String getCabeceraFinal(String separador, ArrayList<String> listaRecursosSolicitados) {

        String cabecera = DIRECCION_IP + separador;

        for (int i = 0; i < listaRecursosSolicitados.size(); i++) {
            cabecera += listaRecursosSolicitados.get(i);
            if (i < listaRecursosSolicitados.size() - 1) { cabecera +=  separador; }
        }

        return cabecera;
    }

}
