/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package walpo.modelo;

/**
 *
 * @author Antonio López
 */
public class CabeceraLog {

    public static final String FECHA = "FECHA";
    public static final String HORA = "HORA";
    public static final String DIRECCION_IP = "IP";
    public static final String METODO_PETICION = "METODO";
    public static final String RECURSO_SOLICITADO = "RECURSO";
    public static final String PROTOCOLO = "PROTOCOLO";
    public static final String CODIGO_RESPUESTA = "RESPUESTA";
    public static final String RUTA_ORIGEN = "ORIGEN";
    public static final String NAVEGADOR = "NAVEGADOR";
    public static final String BYTES_OBTENIDOS = "BYTES";
    public static final String P1 = "P1";
    public static final String ID_SESION = "SESION";


    /**
     * Definir la cabecera con el formato y separador indicados, considerando únicamente
     * un subconjunto del total de elementos de la misma.
     * @param separador
     * @return
     */
    public static String getCabeceraLogParcial(String separador) {

        return DIRECCION_IP + separador + RECURSO_SOLICITADO + separador + ID_SESION;
    }
}
